Bug 1245152

Summary: sbt: Update to version 0.13.13 or newer
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: sbtAssignee: Will Benton <willb>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: coomber.harry, demiobenour, java-sig-commits, madkinder, mckinley.olsen, nechtom, puntogil, s, timothee.floure, V02460, willb, xavier
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mikolaj Izdebski 2015-07-21 10:38:46 UTC
Description of problem:
Please update to upstream version 0.13.8 or newer.

sbt 0.13.8 adds an extension point in the dependency resolution to customize Maven resolvers, which will make writing XMvn extension easier. For more info, see upstream release notes: https://github.com/sbt/sbt/releases/tag/v0.13.8

Comment 1 Mikolaj Izdebski 2015-07-21 11:09:21 UTC
Fixed in sbt-0.13.1-8

Comment 2 Mikolaj Izdebski 2015-07-21 11:10:18 UTC
Bug status was changed by mistake. Reverting.

Comment 3 Orion Poplawski 2016-04-11 20:10:11 UTC
ping?

Comment 4 gil cattaneo 2017-02-07 09:49:51 UTC
*** Bug 1419706 has been marked as a duplicate of this bug. ***

Comment 5 gil cattaneo 2017-02-07 09:49:53 UTC
*** Bug 1419705 has been marked as a duplicate of this bug. ***

Comment 6 mckinley.olsen 2017-02-14 18:17:54 UTC
The version available is more than 3 years old (https://groups.google.com/forum/#!topic/sbt-dev/6NnViSBoHIg/discussion)

Is there a reason this cannot be updated?

Comment 7 gil cattaneo 2017-02-14 19:25:07 UTC
(In reply to mckinley.olsen from comment #6)
> The version available is more than 3 years old
> (https://groups.google.com/forum/#!topic/sbt-dev/6NnViSBoHIg/discussion)
> 
> Is there a reason this cannot be updated?

scala 2.9.x vs 2.1x.x incompatibility

Comment 8 Timothée Floure 2017-10-12 11:28:11 UTC
Upstream version is now 1.0.2... while the current version in fedora is the 0.13.1 (on 10 Dec 2013 !). This package is clearly outdated. Can't we do something about it ?

Comment 9 woky 2018-05-09 21:55:23 UTC
(In reply to gil cattaneo from comment #7)
> (In reply to mckinley.olsen from comment #6)
> > The version available is more than 3 years old
> > (https://groups.google.com/forum/#!topic/sbt-dev/6NnViSBoHIg/discussion)
> > 
> > Is there a reason this cannot be updated?
> 
> scala 2.9.x vs 2.1x.x incompatibility

Does Scala 2.9.x still matter in 2018? sbt is 1.1.4 now.

Comment 10 coomber.harry 2018-07-10 21:29:41 UTC
Trying to compile some scala projects fails at the moment fails. See https://github.com/sbt/sbt/issues/1592. At the very least can there be a separate package for sbt 1+?

As an example for a failure of compilation, clone https://github.com/scala/scala/ and run sbt.

Comment 11 Timothée Floure 2018-07-11 06:29:52 UTC
I am willing to lend a hand but I'd like to hear from the maintainer first. I just sent him a message on IRC.

Comment 12 coomber.harry 2018-07-11 08:23:41 UTC
FWIW installing sbt via the instructions at https://www.scala-sbt.org/download.html works fine, so updating would fix the current issues. It may break existing projects in old versions of scala from what I've read above though.

Comment 13 Timothée Floure 2018-07-12 09:08:41 UTC
Last time I took a look to the package from scala-sbt.org, it was just packaging the precompiled binaries and did not even put them in the right place.

I successfully contacted willb via IRC but still have to discuss the challenges of packaging sbt with him. I'd like to do this on a public channel (rhbz, a fedora mailing list, fedora wiki, ...).

Comment 14 Xavier Bachelot 2018-10-11 13:50:49 UTC
Any progress on updating sbt to a recent and more useful version ?

Comment 15 Timothée Floure 2018-10-12 06:34:11 UTC
We didn't found the time to work on it, but I am still around and willing to help. willb already has some work-in-progress, it would be useful to post it on this bug.